Bug 612276 - skip-broken: looping forever trying to upgrade from f13 to rawhide
skip-broken: looping forever trying to upgrade from f13 to rawhide
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 14:17 EDT by Adam Williamson
Modified: 2014-01-21 18:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-09 14:24:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console output during a failed attempt (35.54 KB, text/plain)
2010-07-07 14:17 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2010-07-07 14:17:05 EDT
Trying to do 'yum upgrade --skip-broken' to update from F13 to rawhide results in yum looping apparently forever at the dependency resolution stage. Output of a typical such session attached. It seems to cycle a few times showing fewer and fewer dependency searches each time for a while, but then it settles down showing the same set of perl deps, over and over again. It'll sit doing this for at least half an hour if I leave it, that's the longest I've tried.

Note that yum and rpm are at their fc14 versions. yum-3.2.27-17.fc14.noarch , rpm-4.8.1-3.fc14.x86_64 .
Comment 1 Adam Williamson 2010-07-07 14:17:36 EDT
Created attachment 430143 [details]
console output during a failed attempt
Comment 2 Tim Lauridsen 2010-07-09 12:15:40 EDT
Could you please test with 'yum -d9 --skip-broken ....' to get an idea what goes wrong
Comment 3 Adam Williamson 2010-07-09 14:24:58 EDT
actually I just got bored, removed the packages that required the use of --skip-broken, and updated that way. So i'll close this as we can't really reproduce it now.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.